Ravens PHP Scripts: Forums
 

 

View next topic
View previous topic
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™
Author Message
CopperPenny
New Member
New Member


Joined: Feb 23, 2006
Posts: 21

PostPosted: Thu Mar 02, 2006 2:13 pm Reply with quote

I uploaded all the files (version NukeSentinel_242pl3_70-79)

When I go to install it gives me failed on all files listed.

If I click NukeSentinel™ Admin I get the following:

It appears that NukeSentinel™ has not been configured correctly. The most common cause is that you either have an error in the syntax that is including includes/nukesentinel.php from your mainfile.php, or you have not added the NukeSentinel™ code to your mainfile.php. Details for including this code are included in the download package in the Edits_For_Core_Files directory.

What am I missing????

I'm VERY new to this so any help would be appreciated.

Thanks

Copper
 
View user's profile Send private message
Taz
Worker
Worker


Joined: Dec 22, 2005
Posts: 158

PostPosted: Thu Mar 02, 2006 3:17 pm Reply with quote

If your new to this, Nuke Sentinel is the last module I would want someone to start with trying to add into any platform.

The message is telling you that there are modifications required to the 'core' nuke files before the package will work properly. This means many files need to be opened and code in those files needs to be replaced or code added. All the instructions are there.

I wouldn't recommend trying to add this script if you are new to php and nuke.

Are you just starting your site? If so, download the packaged distribution from Raven, here on this site and use it. it already has nuke sentinel installed and working.
 
View user's profile Send private message
CopperPenny
PostPosted: Thu Mar 02, 2006 3:32 pm Reply with quote

TY Taz,

Is there a packaged distribution of just Sentinel? If so where?

All I seem to find are nuke upgrades and I really dont want to uprade my whole nuke proggy.

Copper
 
Taz
PostPosted: Thu Mar 02, 2006 3:39 pm Reply with quote

Sorry, to answer your question NO, you cannot get nuke sentinel packaged unless someone has already installed and configured most of it. If your package does not have it, then you have to manually add it to your site.

Raven's distro it's a packaged distribution of php-nuke, heavily cleaned up and patched with a few mods, and one of those is Nuke Sentinel. So you would use the Raven nuke distribution, with nuke sentinel built in already.

This is on the front page of this site, and if you click this link you can go to the download page and read about it. I went through installing about a hundered different cms packaged programs before I found this one, and I like it the best. Its the link on the page called


RavenNuke76 v2.02.00 FULL - A distro with all patches and NukeSentinel and More

Only registered users can see links on this board! Get registered or login!
 
CopperPenny
PostPosted: Thu Mar 02, 2006 3:43 pm Reply with quote

I already have my website up and done, it was origionally installed via cpanel X.

I'm afraid if I cant install Sentinel lord help me if I upgrade Nuke lol.

I'm only one version down from the current and would like to keep it that wayl

Any other security programs you recommend?

Copper
 
Taz
PostPosted: Thu Mar 02, 2006 3:48 pm Reply with quote

So you are running phpnuke 7.8??? That's going to raise the hairs on peoples neck! Most people who run phpnuke packages have not moved from the 7.6 distribution because they feel there are too many unpatched security flaws in all the version about 7.6

I would say if you were running 7.6 patched someone might offer to install nuke sentinel for you for a fee. but I don't know how they will feel about doing it on anything above 7.6 that is not patched.

Don't take my word for it, let a few others tune in on this topic, they have WAY more experience than I do and i value their opinion! Other than nuke sentinel, most of the rest of the mods for security are mere band aids if you know what I mean.

So don't be discouraged yet, let a couple of other people view this topic and comment.
 
CopperPenny
PostPosted: Thu Mar 02, 2006 3:58 pm Reply with quote

From what I can tell it's 7.8.

When we signed up for the website it was built in to fantastico for auto install so I had no choice of version.

Tks for your help.

Copper
 
Taz
PostPosted: Thu Mar 02, 2006 4:11 pm Reply with quote

Yeah, I went with the cpanel distribution when I first got my site. Then started trying to add modules to it. Then found out how few modules supported versions above 7.6 so I dumped it and went with Raven's distro. Well that's easy for me to do because I have not opened my site yet. but you have your site open.

Well, then you may have a plain jane php-nuke distribution, that does not have any of the security patches. Nuke sentinel alone is not your only problem. These guys here have scripts for downgrading to Raven's php distribution, and I'm telling you, it's the best packaged distribution I have seen.
 
evaders99
Former Moderator in Good Standing


Joined: Apr 30, 2004
Posts: 3221

PostPosted: Fri Mar 03, 2006 7:46 am Reply with quote

You must make the change to mainfile.php to load your nukesentinel file
Note that Sentinel requires the Patched files from Only registered users can see links on this board! Get registered or login!

_________________
- Only registered users can see links on this board! Get registered or login! -

Need help? Only registered users can see links on this board! Get registered or login! 
View user's profile Send private message Visit poster's website
CopperPenny
PostPosted: Fri Mar 03, 2006 7:57 am Reply with quote

What do I need to change?
 
Raven
Site Admin/Owner


Joined: Aug 27, 2002
Posts: 17077

PostPosted: Fri Mar 03, 2006 1:46 pm Reply with quote

I'll not lecture you on Nuke 7.8, but just to say you should be using v7.6 and nothing higher Smile

You need to get the patches for v7.8 from the link that Evaders99 posted and follow the installation instructions. Then, (re)install NukeSentinel(tm). All should be well then.
 
View user's profile Send private message
CopperPenny
PostPosted: Fri Mar 03, 2006 5:27 pm Reply with quote

HELP, I installed the patch and my website is now white with no pics or icons?
 
gregexp
The Mouse Is Extension Of Arm


Joined: Feb 21, 2006
Posts: 1497
Location: In front of a screen....HELP! lol

PostPosted: Fri Mar 03, 2006 5:44 pm Reply with quote

before i say all this...i feel it necessary to inform u that i am in no way associated with this forum other then bein a member...not that i wouldnt want to be...but the ppl on here have been doin this for FAR longer then i and i respect that....something they have earned.....ne particular help u might find u need....id be willing to help.....but to be honest...id sudjest u start with a clean version of 7.6..then do a patch (3.2) is the latest if im not mistakin....i will be willin to help u to a point with no charge....i remember when i first started...kinda hurt to not know my way around nething....pm me on yahoo or msn....but if u require extensive help.....id be willing to give it but this help would not be free...its not that i would want to clean ur pockets....im not expensive..but time cost me and trust me....its well worth the money....but i REFUSE to do it all for u....i will basically walk u through it...that means more then payin some1 to do it for u Wink ..but for ur nuke in 7.8....uhhh stay away from 7.8... Laughing trust me its got more exploits then most know
 
View user's profile Send private message Send e-mail Visit poster's website AIM Address Yahoo Messenger MSN Messenger ICQ Number
FireATST
RavenNuke(tm) Development Team


Joined: Jun 12, 2004
Posts: 637
Location: Ohio

PostPosted: Fri Mar 03, 2006 5:53 pm Reply with quote

CopperPenny, my webhost offers Fantastico also if you want to use it. I went and checked and Fantastico there is 7.7.
 
View user's profile Send private message Visit poster's website MSN Messenger ICQ Number
CopperPenny
PostPosted: Fri Mar 03, 2006 6:01 pm Reply with quote

I hear all of you about down grading, but all I want is my site back I have MANY MANY hours invested and by the looks of it, it's gone.

Raven, you and evaders99 suggested I patch via the link, well it's pretty easy to do, but where did I go wrong? Is my site hosed?

Copper
 
gregexp
PostPosted: Fri Mar 03, 2006 7:05 pm Reply with quote

if i had a link to goto to possibly see what u mean..also the thing is we have to know just about everything uve done to know what went wrong...let me have the link...also if i can...ill bring ur site back
 
Raven
PostPosted: Fri Mar 03, 2006 9:36 pm Reply with quote

The simplest way is to restore everything from the backup you made before you started your updates. Then just start over again.
 
evaders99
PostPosted: Fri Mar 03, 2006 10:50 pm Reply with quote

Please enable error reporting and check your error logs
 
CopperPenny
PostPosted: Sat Mar 04, 2006 9:58 pm Reply with quote

ok, for some reason the patch corrupted my themem any how it's back thank you all!!!

Now that the patch is installed I'm back to the beginning same errors??

When I go to install it gives me failed on all files listed.

If I click NukeSentinel(tm) Admin I get the following:

It appears that NukeSentinel(tm) has not been configured correctly. The most common cause is that you either have an error in the syntax that is including includes/nukesentinel.php from your mainfile.php, or you have not added the NukeSentinel(tm) code to your mainfile.php. Details for including this code are included in the download package in the Edits_For_Core_Files directory.

?????

Copper
 
Raven
PostPosted: Sat Mar 04, 2006 10:21 pm Reply with quote

CopperPenny,

PM me your
site url, god admin id/pass
ftp url, id/pass
MySQL/cPanel url, id/pass

My schedule is pretty full, but I think whatever it is, is minor, if you know what to look for. It's late Saturday night, but I will have a look tomorrow.
 
gregexp
PostPosted: Sat Mar 04, 2006 10:23 pm Reply with quote

ok well u havent made the edits to your nuke file....and u say tables cant be made???..as i understand it ...sentinels install file makes the tables in the database for u....could be that when u first tried an install..tables where already made....the installer does not contain the commands to drop the tables if they exist....so u would run into that error....now if uve never messed with phpmyadmin...id sudjest u dont try it yet...ur best bet is to find some1 to do that for u or walk u through step by step...i will probably post a kinda detailed instruction on how to do this....but i dont want to offend or be wrong...ive only used certain versions of phpmyadmin...but still the tables would be the same....the structure might be different so if i tell u to drop somethin...i just thought of this....instead of doin a first tgime install....u possibly could do a destall...means uninstall....then rerun the file and do a first time install...but plz be4 u try the ways i would do it....wait for others to either verify or let u know another way.....with the theme though.....id sudjestg u look at the theme for version compatiblility....also if u just applied a patch....the readme should contain changes u need to make to other files as well...these files that i am talkin bout r specific to ur site.....a readme to make alterations on every theme and module out there would be bigger then my hd.....its 120gig Laughing Laughing
 
Raven
PostPosted: Sat Mar 04, 2006 10:36 pm Reply with quote

darklord wrote:
the installer does not contain the commands to drop the tables if they exist


Yes, the installer does contain the Drop Table statements. It is for new installs only.
 
CopperPenny
PostPosted: Sat Mar 04, 2006 10:51 pm Reply with quote

TY Raven,

Sent

Copper
 
gregexp
PostPosted: Sat Mar 04, 2006 11:01 pm Reply with quote

my apologies.....i didnot find the drop tables if exist in the installer....perhaps its somewhere else....sorry didnt mean to offend
 
Raven
PostPosted: Sun Mar 05, 2006 12:07 am Reply with quote

No offense. Just look in the sql folder.
 
Display posts from previous:       
Post new topic   Reply to topic    Ravens PHP Scripts And Web Hosting Forum Index -> NukeSentinel™

View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum


Powered by phpBB © 2001-2007 phpBB Group
All times are GMT - 6 Hours
 
Forums ©